Search Mailing List Archives


Limit search to: Subject & Body Subject Author
Sort by: Reverse Sort
Limit to: All This Week Last Week This Month Last Month
Select Date Range     through    

[protege-owl] Protégé 3.1.1 and protege-owl plugin legacy question

Thomas Russ tar at ISI.EDU
Tue Jan 15 10:13:57 PST 2008


On Jan 15, 2008, at 2:37 AM, <PURBON at clinic.ub.es>  
<PURBON at clinic.ub.es> wrote:

> Hi,
>  I'm trying to build something on protege-owl plugin with Protégé  
> 3.1.1. I have to build this backend with this version, 'cause I have  
> so many legacy code that was writhed for this version.
>
> To build this plugin I follow [1] and [2], but on subversion I could  
> find a tagged version for Protégé 3.1.1 protégé-core, but not for  
> the owl equivalent. Could any one point me witch build I could use.  
> Other wise I didn't find any how-to explaining how to port a legacy  
> plugin to more new Protégé versions. Is there any?

You shouldn't need the subversion code just in order to create your  
own plug-ins.  All you need are the *.jar files from the 3.1.1  
installation.

As for upgrading, I'm not sure about your plugins, but ours haven't  
had any difficulty in working with newer versions of Protege.  We just  
updated the Protege and recompiled our plugins and they worked.  Are  
you having trouble with anything specific?




More information about the protege-owl mailing list